import { useState, useEffect } from 'react';
import { json } from 'd3'
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/insubstudios/613f6b01eeb2c85fcc331cd05627ce88/raw/2b3274dd9d81d201ccfdedc711a961f82fd9a35c/geographic-lines.json';

export const useGeoLines = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    json(jsonUrl).then(topology => {
    	setData({
        all: topology,
        lines: feature(topology, topology.objects["ne_110m_geographic_lines"])
      });
    });
  }, []);

  return data;
};
